<?php
// Iniciar a sessão se ainda não estiver iniciada
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

// Verificar se o usuário não está logado, redirecionar para index.php
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== TRUE) {
    header("Location: index.php");
    exit;
}

if (isset($_POST['adType'])) {
    $jsonFilePath = 'includes/ad_type.json';
    $jsonData = json_decode(file_get_contents($jsonFilePath), true);
    $jsonData['adType'] = $_POST['adType'];
    file_put_contents($jsonFilePath, json_encode($jsonData));
}
?>
